summaryrefslogtreecommitdiffstats
path: root/target/linux/brcm47xx
diff options
context:
space:
mode:
authorRafał Miłecki <zajec5@gmail.com>2015-04-14 20:50:46 +0000
committerRafał Miłecki <zajec5@gmail.com>2015-04-14 20:50:46 +0000
commit3cb8bf44e69d5ab72a456b15965b28cc656eadde (patch)
tree2ca8885e977d01d0c35f34048664a420c4377d33 /target/linux/brcm47xx
parent9d982afe5e75abf05537fc770a89c1be9c465fe9 (diff)
downloadmaster-31e0f0ae-3cb8bf44e69d5ab72a456b15965b28cc656eadde.tar.gz
master-31e0f0ae-3cb8bf44e69d5ab72a456b15965b28cc656eadde.tar.bz2
master-31e0f0ae-3cb8bf44e69d5ab72a456b15965b28cc656eadde.zip
otrx: change command line API to start with a mode
This will allow adding more modes without options conflict. Signed-off-by: Rafał Miłecki <zajec5@gmail.com> SVN-Revision: 45443
Diffstat (limited to 'target/linux/brcm47xx')
-rw-r--r--target/linux/brcm47xx/base-files/lib/upgrade/platform.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/target/linux/brcm47xx/base-files/lib/upgrade/platform.sh b/target/linux/brcm47xx/base-files/lib/upgrade/platform.sh
index 9b21e319bb..83d3dee625 100644
--- a/target/linux/brcm47xx/base-files/lib/upgrade/platform.sh
+++ b/target/linux/brcm47xx/base-files/lib/upgrade/platform.sh
@@ -98,7 +98,7 @@ platform_check_image() {
error=1
}
- if ! otrx -c "$1" -o "$header_len"; then
+ if ! otrx check "$1" -o "$header_len"; then
echo "No valid TRX firmware in the CHK image"
error=1
fi
@@ -113,13 +113,13 @@ platform_check_image() {
error=1
}
- if ! otrx -c "$1" -o 32; then
+ if ! otrx check "$1" -o 32; then
echo "No valid TRX firmware in the CyberTAN image"
error=1
fi
;;
"trx")
- if ! otrx -c "$1"; then
+ if ! otrx check "$1"; then
echo "Invalid (corrupted?) TRX firmware"
error=1
fi